com.impinj.stp

## Class StpApi.STPDevice.Builder

- java.lang.Object
- - com.google.protobuf.AbstractMessageLite.Builder<BuilderType>
  - - com.google.protobuf.AbstractMessage.Builder<BuilderType>
    - - com.google.protobuf.GeneratedMessage.Builder<StpApi.STPDevice.Builder>
      - - com.impinj.stp.StpApi.STPDevice.Builder

- All Implemented Interfaces:
    com.google.protobuf.Message.Builder, com.google.protobuf.MessageLite.Builder, com.google.protobuf.MessageLiteOrBuilder, com.google.protobuf.MessageOrBuilder, StpApi.STPDeviceOrBuilder, java.lang.Cloneable
  Enclosing class:
    StpApi.STPDevice

      public static final class StpApi.STPDevice.Builder
      extends com.google.protobuf.GeneratedMessage.Builder<StpApi.STPDevice.Builder>
      implements StpApi.STPDeviceOrBuilder

  Protobuf type `Impinj.STP.STPDevice`

- - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `StpApi.STPDevice` | `build()`
    `StpApi.STPDevice` | `buildPartial()`
    `StpApi.STPDevice.Builder` | `clear()`
    `StpApi.STPDevice.Builder` | `clearHostname()` This must be an IP address (for now) in the format 'ddd.ddd.ddd.ddd', for example: 192.168.1.10
    `StpApi.STPDevice.Builder` | `clone()`
    `StpApi.STPDevice` | `getDefaultInstanceForType()`
    `static com.google.protobuf.Descriptors.Descriptor` | `getDescriptor()`
    `com.google.protobuf.Descriptors.Descriptor` | `getDescriptorForType()`
    `java.lang.String` | `getHostname()` This must be an IP address (for now) in the format 'ddd.ddd.ddd.ddd', for example: 192.168.1.10
    `com.google.protobuf.ByteString` | `getHostnameBytes()` This must be an IP address (for now) in the format 'ddd.ddd.ddd.ddd', for example: 192.168.1.10
    `boolean` | `hasHostname()` This must be an IP address (for now) in the format 'ddd.ddd.ddd.ddd', for example: 192.168.1.10
    `protected com.google.protobuf.GeneratedMessage.FieldAccessorTable` | `internalGetFieldAccessorTable()`
    `boolean` | `isInitialized()`
    `StpApi.STPDevice.Builder` | `mergeFrom(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
    `StpApi.STPDevice.Builder` | `mergeFrom(com.google.protobuf.Message other)`
    `StpApi.STPDevice.Builder` | `mergeFrom(StpApi.STPDevice other)`
    `StpApi.STPDevice.Builder` | `setHostname(java.lang.String value)` This must be an IP address (for now) in the format 'ddd.ddd.ddd.ddd', for example: 192.168.1.10
    `StpApi.STPDevice.Builder` | `setHostnameBytes(com.google.protobuf.ByteString value)` This must be an IP address (for now) in the format 'ddd.ddd.ddd.ddd', for example: 192.168.1.10

    - ### Methods inherited from class com.google.protobuf.GeneratedMessage.Builder

      `addRepeatedField, clearField, getAllFields, getField, getFieldBuilder, getParentForChildren, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, isClean, markClean, mergeUnknownFields, newBuilderForField, onBuilt, onChanged, parseUnknownField, setField, setRepeatedField, setUnknownFields`

    - ### Methods inherited from class com.google.protobuf.AbstractMessage.Builder

      `findInitializationErrors, getInitializationErrorString, mergeDelimitedFrom, mergeDelimitedFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, newUninitializedMessageException`

    - ### Methods inherited from class com.google.protobuf.AbstractMessageLite.Builder

      `addAll, newUninitializedMessageException`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface com.google.protobuf.MessageOrBuilder

      `findInitializationErrors, getAllFields, getField, getInitializationErrorString, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField`

- - ### Method Detail

    - #### getDescriptor

          public static final com.google.protobuf.Descriptors.Descriptor getDescriptor()

    - #### internalGetFieldAccessorTable

          protected com.google.protobuf.GeneratedMessage.FieldAccessorTable internalGetFieldAccessorTable()

      Specified by:
        `internalGetFieldAccessorTable` in class `com.google.protobuf.GeneratedMessage.Builder<StpApi.STPDevice.Builder>`

    - #### clear

          public StpApi.STPDevice.Builder clear()

      Specified by:
        `clear` in interface `com.google.protobuf.Message.Builder`
      Specified by:
        `clear` in interface `com.google.protobuf.MessageLite.Builder`
      Overrides:
        `clear` in class `com.google.protobuf.GeneratedMessage.Builder<StpApi.STPDevice.Builder>`

    - #### clone

          public StpApi.STPDevice.Builder clone()

      Specified by:
        `clone` in interface `com.google.protobuf.Message.Builder`
      Specified by:
        `clone` in interface `com.google.protobuf.MessageLite.Builder`
      Overrides:
        `clone` in class `com.google.protobuf.GeneratedMessage.Builder<StpApi.STPDevice.Builder>`

    - #### getDescriptorForType

          public com.google.protobuf.Descriptors.Descriptor getDescriptorForType()

      Specified by:
        `getDescriptorForType` in interface `com.google.protobuf.Message.Builder`
      Specified by:
        `getDescriptorForType` in interface `com.google.protobuf.MessageOrBuilder`
      Overrides:
        `getDescriptorForType` in class `com.google.protobuf.GeneratedMessage.Builder<StpApi.STPDevice.Builder>`

    - #### getDefaultInstanceForType

          public StpApi.STPDevice getDefaultInstanceForType()

      Specified by:
        `getDefaultInstanceForType` in interface `com.google.protobuf.MessageLiteOrBuilder`
      Specified by:
        `getDefaultInstanceForType` in interface `com.google.protobuf.MessageOrBuilder`

    - #### build

          public StpApi.STPDevice build()

      Specified by:
        `build` in interface `com.google.protobuf.Message.Builder`
      Specified by:
        `build` in interface `com.google.protobuf.MessageLite.Builder`

    - #### buildPartial

          public StpApi.STPDevice buildPartial()

      Specified by:
        `buildPartial` in interface `com.google.protobuf.Message.Builder`
      Specified by:
        `buildPartial` in interface `com.google.protobuf.MessageLite.Builder`

    - #### mergeFrom

          public StpApi.STPDevice.Builder mergeFrom(com.google.protobuf.Message other)

      Specified by:
        `mergeFrom` in interface `com.google.protobuf.Message.Builder`
      Overrides:
        `mergeFrom` in class `com.google.protobuf.AbstractMessage.Builder<StpApi.STPDevice.Builder>`

    - #### mergeFrom

          public StpApi.STPDevice.Builder mergeFrom(StpApi.STPDevice other)

    - #### isInitialized

          public final boolean isInitialized()

      Specified by:
        `isInitialized` in interface `com.google.protobuf.MessageLiteOrBuilder`
      Overrides:
        `isInitialized` in class `com.google.protobuf.GeneratedMessage.Builder<StpApi.STPDevice.Builder>`

    - #### mergeFrom

          public StpApi.STPDevice.Builder mergeFrom(com.google.protobuf.CodedInputStream input,
                                                    com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                             throws java.io.IOException

      Specified by:
        `mergeFrom` in interface `com.google.protobuf.Message.Builder`
      Specified by:
        `mergeFrom` in interface `com.google.protobuf.MessageLite.Builder`
      Overrides:
        `mergeFrom` in class `com.google.protobuf.AbstractMessage.Builder<StpApi.STPDevice.Builder>`
      Throws:
        `java.io.IOException`

    - #### hasHostname

          public boolean hasHostname()

      This must be an IP address (for now) in the format 'ddd.ddd.ddd.ddd', for example: 192.168.1.10
      Specified by:
        `hasHostname` in interface `StpApi.STPDeviceOrBuilder`

    - #### getHostname

          public java.lang.String getHostname()

      This must be an IP address (for now) in the format 'ddd.ddd.ddd.ddd', for example: 192.168.1.10
      Specified by:
        `getHostname` in interface `StpApi.STPDeviceOrBuilder`

    - #### getHostnameBytes

          public com.google.protobuf.ByteString getHostnameBytes()

      This must be an IP address (for now) in the format 'ddd.ddd.ddd.ddd', for example: 192.168.1.10
      Specified by:
        `getHostnameBytes` in interface `StpApi.STPDeviceOrBuilder`

    - #### setHostname

          public StpApi.STPDevice.Builder setHostname(java.lang.String value)

      This must be an IP address (for now) in the format 'ddd.ddd.ddd.ddd', for example: 192.168.1.10

    - #### clearHostname

          public StpApi.STPDevice.Builder clearHostname()

      This must be an IP address (for now) in the format 'ddd.ddd.ddd.ddd', for example: 192.168.1.10

    - #### setHostnameBytes

          public StpApi.STPDevice.Builder setHostnameBytes(com.google.protobuf.ByteString value)

      This must be an IP address (for now) in the format 'ddd.ddd.ddd.ddd', for example: 192.168.1.10